import { ChangeDetectorRef, EventEmitter, TemplateRef } from '@angular/core';
import { AccordionService } from '../accordion.service';
import { isTemplateRef } from 'ng-zorro-antd-mobile/core';
import * as i0 from "@angular/core";
export declare class AccordionGroupComponent {
    private _accordionService;
    private _cdr;
    isShowChild: boolean;
    key: string;
    header: string | TemplateRef<void>;
    isOpened: boolean;
    disabled: boolean;
    onOpen: EventEmitter<any>;
    onClose: EventEmitter<any>;
    onChange: EventEmitter<any>;
    isTemplateRef: typeof isTemplateRef;
    amItem: boolean;
    isActive: boolean;
    addon: boolean;
    constructor(_accordionService: AccordionService, _cdr: ChangeDetectorRef);
    checkAndToggle(): void;
    get slide(): string;
    toggle(): void;
    openOnInitialization(): void;
    slideAnimationDoen(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionGroupComponent, "AccordionPanel, nzm-accordion-panel", never, { "key": "key"; "header": "header"; "isOpened": "isOpened"; "disabled": "disabled"; }, { "onOpen": "onOpen"; "onClose": "onClose"; "onChange": "onChange"; }, never, ["*"], false, never>;
}
