import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ActionSheetOptions {
    prefixCls?: string;
    maskClosable?: boolean;
    cancelButtonIndex?: number;
    destructiveButtonIndex?: number;
    title?: string | TemplateRef<any>;
    message?: string | TemplateRef<any>;
    className?: string;
    transitionName?: string;
    maskTransitionName?: string;
    locale?: any;
    close?: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionSheetOptions, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActionSheetOptions>;
}
export declare class ShareOption {
    icon: string | TemplateRef<any>;
    title: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShareOption, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ShareOption>;
}
export declare class ShareActionSheetWithOptions extends ActionSheetOptions {
    options: ShareOption[] | ShareOption[][];
    cancelButtonText?: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShareActionSheetWithOptions, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ShareActionSheetWithOptions>;
}
export declare class ActionSheetWithOptions extends ActionSheetOptions {
    options: string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionSheetWithOptions, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActionSheetWithOptions>;
}
export declare type ActionCallBack = (index: number, rowIndex?: number) => PromiseLike<any> | void;
