import { EventEmitter, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CheckboxStatus } from './PropsType';
import * as i0 from "@angular/core";
export declare class CheckboxItemComponent implements ControlValueAccessor {
    private cdr;
    prefixCls: string;
    checked: boolean;
    private _disabled;
    private _ngModelOnChange;
    private _ngModelOnTouched;
    name: string;
    value: string;
    arrow: string;
    extra: string | TemplateRef<any>;
    wrap: boolean;
    error: boolean;
    multipleLine: boolean;
    platform: string;
    align: string;
    get disabled(): boolean;
    set disabled(value: boolean);
    onChange: EventEmitter<CheckboxStatus>;
    constructor(cdr: ChangeDetectorRef);
    onCheckboxClick(event: any): void;
    change(event: any): void;
    writeValue(value: boolean): void;
    registerOnChange(fn: (_: boolean) => {}): void;
    registerOnTouched(fn: () => {}): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxItemComponent, "CheckboxItem, nzm-checkbox-item", never, { "name": "name"; "value": "value"; "arrow": "arrow"; "extra": "extra"; "wrap": "wrap"; "error": "error"; "multipleLine": "multipleLine"; "platform": "platform"; "align": "align"; "disabled": "disabled"; }, { "onChange": "onChange"; }, never, ["*"], false, never>;
}
