import * as i0 from '@angular/core';
import { Component, Input, HostBinding, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class WhiteSpaceComponent {
    constructor() {
        this.prefixCls = 'am-whitespace';
        this.size = 'md';
        this.amWhiteSpace = true;
    }
    get amWhitespaceXs() {
        return this.size === 'xs';
    }
    get amWhitespaceSm() {
        return this.size === 'sm';
    }
    get amWhitespaceMd() {
        return this.size === 'md';
    }
    get amWhitespaceLg() {
        return this.size === 'lg';
    }
    get amWhitespaceXl() {
        return this.size === 'xl';
    }
}
WhiteSpaceComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WhiteSpaceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
WhiteSpaceComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.1.4", type: WhiteSpaceComponent, selector: "WhiteSpace, nzm-whitespace", inputs: { size: "size" }, host: { properties: { "class.am-whitespace": "this.amWhiteSpace", "class.am-whitespace-xs": "this.amWhitespaceXs", "class.am-whitespace-sm": "this.amWhitespaceSm", "class.am-whitespace-md": "this.amWhitespaceMd", "class.am-whitespace-lg": "this.amWhitespaceLg", "class.am-whitespace-xl": "this.amWhitespaceXl" } }, ngImport: i0, template: ``, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WhiteSpaceComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'WhiteSpace, nzm-whitespace',
                    template: ``
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }], amWhiteSpace: [{
                type: HostBinding,
                args: ['class.am-whitespace']
            }], amWhitespaceXs: [{
                type: HostBinding,
                args: ['class.am-whitespace-xs']
            }], amWhitespaceSm: [{
                type: HostBinding,
                args: ['class.am-whitespace-sm']
            }], amWhitespaceMd: [{
                type: HostBinding,
                args: ['class.am-whitespace-md']
            }], amWhitespaceLg: [{
                type: HostBinding,
                args: ['class.am-whitespace-lg']
            }], amWhitespaceXl: [{
                type: HostBinding,
                args: ['class.am-whitespace-xl']
            }] } });

class WhiteSpaceModule {
}
WhiteSpaceModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WhiteSpaceModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
WhiteSpaceModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.1.4", ngImport: i0, type: WhiteSpaceModule, declarations: [WhiteSpaceComponent], imports: [CommonModule], exports: [WhiteSpaceComponent] });
WhiteSpaceModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WhiteSpaceModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WhiteSpaceModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [WhiteSpaceComponent],
                    exports: [WhiteSpaceComponent],
                    imports: [CommonModule]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { WhiteSpaceComponent, WhiteSpaceModule };
//# sourceMappingURL=ng-zorro-antd-mobile-white-space.mjs.map
//# sourceMappingURL=ng-zorro-antd-mobile-white-space.mjs.map
