import { ComponentRef, TemplateRef } from '@angular/core';
import { ModalServiceComponent } from './modal.component';
import { ModalBaseOptions, ModalServiceCustomOptions } from './modal-options.provider';
import { PopupService } from 'ng-zorro-antd-mobile/core';
import * as i0 from "@angular/core";
export declare class ModalService extends PopupService {
    modalRef: ComponentRef<ModalServiceComponent>;
    _open(props: ModalBaseOptions): any;
    closeWithAnimation(): void;
    alert(title?: string | TemplateRef<any>, message?: string | TemplateRef<any>, actions?: Array<any>, platform?: string): any;
    prompt(title?: string | TemplateRef<any>, message?: string | TemplateRef<any>, callbackOrActions?: any, type?: string, defaultValue?: Array<string>, placeholders?: Array<any>, platform?: string): any;
    operation(actions?: any, platform?: string, customOptions?: ModalServiceCustomOptions): any;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalService>;
}
