import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { LocaleProviderService } from 'ng-zorro-antd-mobile/locale-provider';
import * as i0 from "@angular/core";
interface LocaleValue {
    prevText: string;
    nextText: string;
}
export declare class PaginationComponent implements OnInit, OnDestroy {
    private _localeProviderService;
    prefixCls: string;
    private hasSetLocale;
    private _locale;
    private _unsubscribe$;
    mode: string;
    current: number;
    total: number;
    simple: boolean;
    disabled: boolean;
    get locale(): LocaleValue;
    set locale(v: LocaleValue);
    onChange: EventEmitter<any>;
    constructor(_localeProviderService: LocaleProviderService);
    isTemplateRef(key: any): boolean;
    onClick(p: number): void;
    getNumber(p: number): Array<number>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "Pagination, nzm-pagination", never, { "mode": "mode"; "current": "current"; "total": "total"; "simple": "simple"; "disabled": "disabled"; "locale": "locale"; }, { "onChange": "onChange"; }, never, never, false, never>;
}
export {};
