import { QueryList, EventEmitter, OnDestroy, ElementRef, AfterViewInit } from '@angular/core';
import { CarouselSlideComponent } from './carousel-slide/carousel-slide.component';
import * as i0 from "@angular/core";
export declare class CarouselComponent implements AfterViewInit, OnDestroy {
    private _ele;
    slideHeight: number;
    touchObject: any;
    style: {
        height: string;
        width: string;
        transform: string;
        margin: string;
    };
    lastIndex: number;
    currentSelectedIndex: number;
    private _timer;
    private _resizeTimer;
    private _nodeArr;
    private _isMouseDown;
    private _rationWidth;
    private _currentSlideWidth;
    private _currentSlideHeight;
    private _transition;
    private _spaceWidth;
    private _observer;
    private _dragging;
    private _selectedIndex;
    items: QueryList<CarouselSlideComponent>;
    speed: number;
    dots: boolean;
    vertical: boolean;
    autoplay: boolean;
    autoplayInterval: any;
    infinite: boolean;
    dotStyle: object;
    dotActiveStyle: object;
    frameOverflow: string;
    cellSpacing: number;
    slideWidth: number;
    swipeSpeed: number;
    dragging: boolean;
    get selectedIndex(): number;
    set selectedIndex(value: number);
    afterChange: EventEmitter<any>;
    beforeChange: EventEmitter<any>;
    carouselWrapper: boolean;
    carouselwrap: boolean;
    panstart(event: any): void;
    panmove(event: any): void;
    panend(event: any): void;
    cancel(): void;
    resize(): void;
    constructor(_ele: ElementRef);
    initCarouselSize(): void;
    carouselInit(items: any): void;
    startTimer(): void;
    stopTimer(): void;
    carousel(moveDirection: any): void;
    moveUp(): void;
    moveDown(): void;
    moveLeft(): void;
    moveRight(): void;
    getAfterNode(pre: any): any;
    caculateDirectionLeftCurrentIndex(): void;
    caculateDirectionRightCurrentIndex(): void;
    gotoCarousel(afterIndex: any): void;
    getCurrentIndex(): void;
    setSlideStyles(index: any, direction: any, xDist?: number): void;
    getListStyles(offset?: number): void;
    swipeDirection(x1: any, x2: any, y1: any, y2: any): {
        direction: number;
        xDist: number;
    };
    get page(): number;
    get pageCount(): number;
    get dotindicatorStatus(): boolean;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CarouselComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CarouselComponent, "Carousel, nzm-carousel", never, { "speed": "speed"; "dots": "dots"; "vertical": "vertical"; "autoplay": "autoplay"; "autoplayInterval": "autoplayInterval"; "infinite": "infinite"; "dotStyle": "dotStyle"; "dotActiveStyle": "dotActiveStyle"; "frameOverflow": "frameOverflow"; "cellSpacing": "cellSpacing"; "slideWidth": "slideWidth"; "swipeSpeed": "swipeSpeed"; "dragging": "dragging"; "selectedIndex": "selectedIndex"; }, { "afterChange": "afterChange"; "beforeChange": "beforeChange"; }, ["items"], ["*"], false, never>;
}
