import * as i0 from '@angular/core';
import { Component, ViewEncapsulation, Input, HostBinding, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class WingBlankComponent {
    constructor() {
        this.prefixCls = 'am-wingblank';
        this.size = 'lg';
        this.amWingBlank = true;
    }
    get amWingBlnkSm() {
        return this.size === 'sm';
    }
    get amWingBlnkMd() {
        return this.size === 'md';
    }
    get amWingBlnkLg() {
        return this.size === 'lg';
    }
}
WingBlankComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WingBlankComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
WingBlankComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.1.4", type: WingBlankComponent, selector: "WingBlank, nzm-wingblank", inputs: { size: "size" }, host: { properties: { "class.am-wingblank": "this.amWingBlank", "class.am-wingblank-sm": "this.amWingBlnkSm", "class.am-wingblank-md": "this.amWingBlnkMd", "class.am-wingblank-lg": "this.amWingBlnkLg" } }, ngImport: i0, template: "<ng-content></ng-content>\n", encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WingBlankComponent, decorators: [{
            type: Component,
            args: [{ selector: 'WingBlank, nzm-wingblank', encapsulation: ViewEncapsulation.None, template: "<ng-content></ng-content>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }], amWingBlank: [{
                type: HostBinding,
                args: ['class.am-wingblank']
            }], amWingBlnkSm: [{
                type: HostBinding,
                args: ['class.am-wingblank-sm']
            }], amWingBlnkMd: [{
                type: HostBinding,
                args: ['class.am-wingblank-md']
            }], amWingBlnkLg: [{
                type: HostBinding,
                args: ['class.am-wingblank-lg']
            }] } });

class WingBlankModule {
}
WingBlankModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WingBlankModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
WingBlankModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.1.4", ngImport: i0, type: WingBlankModule, declarations: [WingBlankComponent], imports: [CommonModule], exports: [WingBlankComponent] });
WingBlankModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WingBlankModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.1.4", ngImport: i0, type: WingBlankModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [WingBlankComponent],
                    exports: [WingBlankComponent],
                    imports: [CommonModule]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { WingBlankComponent, WingBlankModule };
//# sourceMappingURL=ng-zorro-antd-mobile-wing-blank.mjs.map
//# sourceMappingURL=ng-zorro-antd-mobile-wing-blank.mjs.map
