import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ModalBaseOptions {
    visible?: boolean;
    focus?: boolean;
    prefixCls?: string;
    animated?: boolean;
    closable?: boolean;
    maskClosable?: boolean;
    onClose?: any;
    transparent?: boolean;
    popup?: boolean;
    animationType?: string;
    title?: string | TemplateRef<any>;
    footer?: Array<any>;
    platform?: string;
    className?: string;
    wrapClassName?: string;
    message?: string | TemplateRef<any>;
    actions?: Array<any>;
    callbackOrActions?: Array<any>;
    type?: string;
    defaultValue?: Array<string>;
    placeholders?: Array<string>;
    operation?: boolean;
    transitionName?: string;
    maskTransitionName?: string;
    close: () => void;
    closeWithAnimation: () => void;
}
export declare class ModalServiceCustomOptions {
    maskClosable?: boolean;
}
export declare class ModalOptions extends ModalBaseOptions {
    transitionName?: string;
    maskTransitionName?: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalOptions, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalOptions>;
}
export declare class Action {
    text?: string;
    onPress?: Function;
    style?: {};
    static ɵfac: i0.ɵɵFactoryDeclaration<Action, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Action>;
}
