import { ComponentRef } from '@angular/core';
import { PickerComponent } from './picker.component';
import { PickerCallBack, PickerOptions } from './picker-options.provider';
import { PopupService } from 'ng-zorro-antd-mobile/core';
import * as i0 from "@angular/core";
export declare class PickerService extends PopupService {
    comRef: ComponentRef<PickerComponent>;
    defaultOptions: PickerOptions;
    showPicker(config?: PickerOptions, confirmCallback?: PickerCallBack, cancelCallback?: PickerCallBack): any;
    hidePicker(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PickerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PickerService>;
}
