import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RangeComponent implements OnInit, ControlValueAccessor {
    private _elf;
    prefixCls: string;
    offset: any[];
    length: any[];
    upperBound: number;
    lowerBound: number;
    maxBound: number[];
    minBound: number[];
    sliderCls: object;
    sliderLength: number;
    sliderStart: number;
    private _min;
    private _max;
    private _step;
    private _value;
    private _defaultValue;
    private _disabled;
    private _marks;
    private _dots;
    private _included;
    private _count;
    private _allowCross;
    private _pushable;
    private _handleStyle;
    private _trackStyle;
    private _railStyle;
    private _handleCount;
    get min(): number;
    set min(value: number);
    get max(): number;
    set max(value: number);
    get step(): number;
    set step(value: number);
    get value(): [number];
    set value(value: [number]);
    set defaultValue(value: any);
    get disabled(): boolean;
    set disabled(value: boolean);
    get marks(): object;
    set marks(value: object);
    get dots(): boolean;
    set dots(value: boolean);
    get included(): boolean;
    set included(value: boolean);
    set count(value: number);
    set allowCross(value: boolean);
    set pushable(value: number);
    get handleStyle(): any[];
    set handleStyle(value: any[]);
    get trackStyle(): any[];
    set trackStyle(value: any[]);
    get railStyle(): any[];
    set railStyle(value: any[]);
    onChange: EventEmitter<any>;
    onAfterChange: EventEmitter<any>;
    amWrapper: boolean;
    private _ngModelOnChange;
    private _ngModelOnTouched;
    constructor(_elf: ElementRef);
    setCls(): void;
    initialValue(): void;
    handleChange(e: any, i: any): void;
    handleAfterChange(e: any, i: any): void;
    setTrackStyle(value: any): void;
    setValueBound(): void;
    verifyPushable(): boolean;
    writeValue(value: number[]): void;
    setValue(value: number[], isWriteValue?: boolean): void;
    registerOnChange(fn: (value: number[]) => void): void;
    registerOnTouched(fn: (value: number) => void): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RangeComponent, "Range , nzm-range", never, { "min": "min"; "max": "max"; "step": "step"; "value": "value"; "defaultValue": "defaultValue"; "disabled": "disabled"; "marks": "marks"; "dots": "dots"; "included": "included"; "count": "count"; "allowCross": "allowCross"; "pushable": "pushable"; "handleStyle": "handleStyle"; "trackStyle": "trackStyle"; "railStyle": "railStyle"; }, { "onChange": "onChange"; "onAfterChange": "onAfterChange"; }, never, never, false, never>;
}
