import { OnInit, QueryList, AfterContentInit, Renderer2, ElementRef } from '@angular/core';
import { StepStatusEnum, StepDirectionEnum } from './step/step.component';
import { StepComponent } from './step/step.component';
import * as i0 from "@angular/core";
export declare class StepsComponent implements OnInit, AfterContentInit {
    private _elf;
    private _render;
    prefixCls: string;
    private _current;
    private _size;
    private _status;
    private _direction;
    stepItems: QueryList<StepComponent>;
    set current(value: any);
    set size(value: any);
    set status(value: StepStatusEnum);
    set direction(value: StepDirectionEnum);
    clsSteps: boolean;
    clsStepsSmall: boolean;
    clsStepsLabelVtl: boolean;
    clsStepsVtl: boolean;
    clsStepsHztl: boolean;
    constructor(_elf: ElementRef, _render: Renderer2);
    setStepStyle(): void;
    setCls(): void;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepsComponent, "Steps,nzm-steps", never, { "current": "current"; "size": "size"; "status": "status"; "direction": "direction"; }, {}, ["stepItems"], ["*"], false, never>;
}
